QScintilla 2.8.4

- Main Page
- Classes
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions
QsciLexerCoffeeScript Class Reference

`#include <qscilexercoffeescript.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Comment = 1, CommentLine = 2,
  CommentDoc = 3, Number = 4, Keyword = 5,
  DoubleQuotedString = 6, SingleQuotedString = 7, UUID = 8,
  PreProcessor = 9, Operator = 10, Identifier = 11,
  UnclosedString = 12, VerbatimString = 13, Regex = 14,
  CommentLineDoc = 15, KeywordSet2 = 16, CommentDocKeyword = 17,
  CommentDocKeywordError = 18, GlobalClass = 19, CommentBlock = 22,
  BlockRegex = 23, BlockRegexComment = 24
  }

## Public Member Functions

- QsciLexerCoffeeScript (QObject *parent=0)
- virtual ~QsciLexerCoffeeScript ()
- const char * language () const
- const char * lexer () const
- QStringList autoCompletionWordSeparators () const
- const char * blockEnd (int *style=0) const
- const char * blockStart (int *style=0) const
- const char * blockStartKeyword (int *style=0) const
- int braceStyle () const
- const char * wordCharacters () const
- QColor defaultColor (int style) const
- bool defaultEolFill (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- void refreshProperties ()
- bool dollarsAllowed () const
- void setDollarsAllowed (bool allowed)
- bool foldComments () const
- void setFoldComments (bool fold)
- bool foldCompact () const
- void setFoldCompact (bool fold)
- bool stylePreprocessor () const
- void setStylePreprocessor (bool style)

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QsciLexerCoffeeScript class encapsulates the Scintilla CoffeeScript lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the C++ lexer.

Enumerator:

  Default | The default.
  Comment | A C-style comment.
  CommentLine | A C++-style comment line.
  CommentDoc | A JavaDoc/Doxygen C-style comment.
  Number | A number.
  Keyword | A keyword.
  DoubleQuotedString | A double-quoted string.
  SingleQuotedString | A single-quoted string.
  UUID | An IDL UUID.
  PreProcessor | A pre-processor block.
  Operator | An operator.
  Identifier | An identifier.
  UnclosedString | The end of a line where a string is not closed.
  VerbatimString | A C# verbatim string.
  Regex | A regular expression.
  CommentLineDoc | A JavaDoc/Doxygen C++-style comment line.
  KeywordSet2 | A keyword defined in keyword set number 2. The class must be sub-classed and re-implement keywords() to make use of this style.
  CommentDocKeyword | A JavaDoc/Doxygen keyword.
  CommentDocKeywordError | A JavaDoc/Doxygen keyword error defined in keyword set number 3. The class must be sub-classed and re-implement keywords() to make use of this style.
  GlobalClass | A global class defined in keyword set number 4. The class must be sub-classed and re-implement keywords() to make use of this style.
  CommentBlock | A block comment.
  BlockRegex | A block regular expression.
  BlockRegexComment | A block regular expression comment.

## Constructor & Destructor Documentation

QsciLexerCoffeeScript::QsciLexerCoffeeScript | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerCoffeeScript with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

const char* QsciLexerCoffeeScript::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

QColor QsciLexerCoffeeScript::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexer.

QColor QsciLexerCoffeeScript::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexer.

const char* QsciLexerCoffeeScript::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string. Set 1 is normally used for primary keywords and identifiers. Set 2 is normally used for secondary keywords and identifiers. Set 3 is normally used for documentation comment keywords. Set 4 is normally used for global classes and typedefs.

Reimplemented from QsciLexer.

QString QsciLexerCoffeeScript::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

void QsciLexerCoffeeScript::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

bool QsciLexerCoffeeScript::dollarsAllowed | ( |  | ) | const`[inline]`

Returns true if '$' characters are allowed in identifier names.

See also:
  setDollarsAllowed()

void QsciLexerCoffeeScript::setDollarsAllowed | ( | bool | allowed | ) |

If allowed is true then '$' characters are allowed in identifier names. The default is true.

See also:
  dollarsAllowed()

bool QsciLexerCoffeeScript::foldComments | ( |  | ) | const`[inline]`

Returns true if multi-line comment blocks can be folded.

See also:
  setFoldComments()

void QsciLexerCoffeeScript::setFoldComments | ( | bool | fold | ) |

If fold is true then multi-line comment blocks can be folded. The default is false.

See also:
  foldComments()

bool QsciLexerCoffeeScript::foldCompact | ( |  | ) | const`[inline]`

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

void QsciLexerCoffeeScript::setFoldCompact | ( | bool | fold | ) |

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

bool QsciLexerCoffeeScript::stylePreprocessor | ( |  | ) | const`[inline]`

Returns true if preprocessor lines (after the preprocessor directive) are styled.

See also:
  setStylePreprocessor()

void QsciLexerCoffeeScript::setStylePreprocessor | ( | bool | style | ) |

If style is true then preprocessor lines (after the preprocessor directive) are styled. The default is false.

See also:
  stylePreprocessor()

bool QsciLexerCoffeeScript::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also:
  writeProperties()

Reimplemented from QsciLexer.

bool QsciLexerCoffeeScript::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also:
  readProperties()

Reimplemented from QsciLexer.